These are chat archives for ushahidi/Community

9th
May 2018
Ushbot
@ushbot
May 09 2018 17:15
[Christopher Ndolo] Hey Ushahidi Team, I have being trying to install ushahidi v3 on a hostgator shared hosting. When I try to run ./bin/phinx migrate -c application/phinx.php to migrate i get the error warning() failed to open stream
Ushbot
@ushbot
May 09 2018 17:20
[David Losada, Ushahidi] Christopher , what instructions did you follow for installation? what package did you download from us?
[Christopher Ndolo] I downloaded from github the most current release 3.91. I followed the instructions from Ushahidi_Platform_v3_Manual.pdf
Ushbot
@ushbot
May 09 2018 17:27
[David Losada, Ushahidi] ushahidi-platform-release-v3.9.1.tar.gz ? that was the name of the file?
[Christopher Ndolo] yes that was the name of the file
Ushbot
@ushbot
May 09 2018 17:32
[David Losada, Ushahidi] hm.. it’s weird, it should work. It looks as if when you execute that command, php cannot find one of the dependencies needed to run phinx
[David Losada, Ushahidi] but all those dependencies are bundled in the file that you downloaded
[David Losada, Ushahidi] you have a vendor/ folder full of stuff right? under platform/
[Christopher Ndolo] yes i do
Ushbot
@ushbot
May 09 2018 17:38
**\[Christopher Ndolo\]** Warning: require\(/home4/meximed1/usha.meximedafrica.com/platform/bin/../app/phinx.php\): failed to open stream: No such file or directory in /home4/meximed1/usha.meximedafrica.com/platform/bin/phinx on line 27

Fatal error: require\(\): Failed opening required '/home4/meximed1/usha.meximedafrica.com/platform/bin/../app/phinx.php' \(include\_path='.:/opt/php56/lib/php'\) in /home4/meximed1/usha.meximedafrica.com/platform/bin/phinx on line 27
[Christopher Ndolo] this is the error i am getting
[David Losada, Ushahidi] mm sorry not sure what
[David Losada, Ushahidi] is going on there. It should just work.
Ushbot
@ushbot
May 09 2018 17:43
[David Losada, Ushahidi] maybe hostgator sets up something differently than we expected
**\[Christopher Ndolo\]** >>> Skipping git
>>> Updating dependencies
Loading composer repositories with package information
Installing dependencies \(including require-dev\) from lock file
Nothing to install or update
Package guzzle/guzzle is abandoned, you should avoid using it. Use guzzlehttp/guzzle instead.
Package league/url is abandoned, you should avoid using it. Use league/uri instead.
Generating autoload files
>>> Running migrations

Warning: require\(/home4/meximed1/usha.meximedafrica.com/platform/bin/../app/phinx.php\): failed to open stream: No such file or directory in /home4/meximed1/usha.meximedafrica.com/platform/bin/phinx on line 27

Fatal error: require\(\): Failed opening required '/home4/meximed1/usha.meximedafrica.com/platform/bin/../app/phinx.php' \(include\_path='.:/opt/php56/lib/php'\) in /home4/meximed1/usha.meximedafrica.com/platform/bin/phinx on line 27
[meximed1@meximedafrica.com](mailto:meximed1@meximedafrica.com) \[~/usha.meximedafrica.com/platform\]\#
[Christopher Ndolo] this is after running bin/update
[Christopher Ndolo] is there any other way to populate the database with the relevant default tables and data?
Ushbot
@ushbot
May 09 2018 17:48
[Christopher Ndolo] by the way i am running the commands on SSH
Ushbot
@ushbot
May 09 2018 19:01
[David Losada, Ushahidi] we could post a .sql file with those default contents , if you have a way to import that into the database, that should work
[David Losada, Ushahidi] I’m just afraid that something in hostgator breaks the loading of dependencies , so it may not take you much further than getting the database filled
Ushbot
@ushbot
May 09 2018 19:12
[David Losada, Ushahidi] here’s a download to the .sql file with the initial contents of the database for v3.9.1 : https://send.firefox.com/download/50f3cc7250/#3zgBhwd5H7Z7wDtvOpLmeA